Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the latest version of a UDF.
GET
/
v1
/
organizations
/
{organizationId}
/
udfs
/
{functionName}
Get UDF
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/udfs/{functionName} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/udfs/{functionName}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/udfs/{functionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"functionName": "<string>",
"version": 1,
"arguments": [
{
"name": "<string>",
"type": "<string>"
}
],
"returnType": "<string>",
"returnName": "<string>",
"poolSize": 1,
"commandReadTimeout": 123,
"commandWriteTimeout": 123,
"maxCommandExecutionTime": 1,
"sendChunkHeader": true,
"format": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"status": 400,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"status": 404,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"status": 500,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the latest version of a UDF.
Returns the latest version of a UDF.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$Name of the UDF.
Pattern:
^[A-Za-z][A-Za-z0-9_]*$Response
Successful response.
HTTP status code.
Example:
200
Unique id assigned to every request. UUIDv4
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$Show child attributes
Show child attributes
Last modified on August 3, 2026
Was this page helpful?
⌘I
Get UDF
